Bug 442867 - Review Request: ocaml-gettext - OCaml library for i18n
Review Request: ocaml-gettext - OCaml library for i18n
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
http://sylvain.le-gall.net/ocaml-gett...
:
Depends On:
Blocks: 438546 442871 442873 442875
  Show dependency treegraph
 
Reported: 2008-04-17 06:02 EDT by Richard W.M. Jones
Modified: 2008-04-27 18:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-27 18:01:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-04-17 06:02:08 EDT
This is the familiar 'gettext' library for OCaml programs.  The
upstream version (0.2.0) doesn't work with the latest OCaml compiler,
but I've supplied a large patch upstream which fixes all the problems
and upstream have promised a new release containing this patch
real soon (will be 0.3.0).  I was waiting for this release, but
I can't wait any longer, hence this is based on the old version
(0.2.0) + my large patch.

The library depends on ocaml-camomile but that doesn't build on
ppc64 (bug 438486).  Since Camomile is a huge dependency and not
necessarily desirable (most people will want to use just the
basic functionality which is implemented using C gettext),
I've split that part off into a subpackage which doesn't get
built on ppc64.

Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-gettext.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-gettext-0.2.0-2rwmj20080321.fc9.src.rpm
Description: OCaml library for i18n

Koji build:

  http://koji.fedoraproject.org/koji/taskinfo?taskID=570335
Comment 1 Kevin Fenzi 2008-04-25 19:45:29 EDT
I'd be happy to review this... look for a full review in a bit. 
Comment 2 Kevin Fenzi 2008-04-25 19:53:22 EDT
See below - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (LGPLv2+ with exceptions)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
4e95d69e6910c4c0dcafb7e2f8dc5491  ocaml-gettext-0.2.0.tar.gz
4e95d69e6910c4c0dcafb7e2f8dc5491  ocaml-gettext-0.2.0.tar.gz.orig
OK - Package needs ExcludeArch
See below - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Headers/static libs in -devel subpackage.
OK - .so files in -devel subpackage.
OK - -devel package Requires: %{name} = %{version}-%{release}

OK - Package compiles and builds on at least one arch.
See below - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock.
OK - Should have subpackages require base package with fully versioned depend.
OK - Should have dist tag
OK - Should package latest version

Issues:

1. Whats with the odd release naming?
If you need a snapshot release, see:

http://fedoraproject.org/wiki/Packaging/NamingGuidelines#head-cfd71146dbb6f00cec9fe3623ea619f843394837

and

http://fedoraproject.org/wiki/Packaging/SourceURL#head-615f6271efb394ab340a93a6cf030f2d08cf0d49

2. I see in the build output:
checking for fop... no
configure: WARNING: Cannot find fop."
Missing buildrequires?

3. Looks like the camomile-devel and devel subpackages duplicate all the docs...
That doesn't seem very ideal.
%doc README CHANGELOG TODO build/share/doc/html/*
on both of them.

4. rpmlint says:
ocaml-gettext-camomile.x86_64: E: only-non-binary-in-usr-lib

This can be ignored as you can't make just a subpackage noarch.
Comment 3 Richard W.M. Jones 2008-04-26 03:21:17 EDT
Thanks for looking at this.  The story with naming is that I've patched
this to work with OCaml 3.10 and contributed the patch upstream.
Coincidentally the author blogged about this yesterday:

http://le-gall.net/sylvain+violaine/blog/index.php?2008/04/24/43-ocaml-gettext-on-going-progress-to-version-030

BTW, I wouldn't believe that release date .. seen too many release dates
come and go already, although it'd be nice if it happens.

Anyway, I changed the naming to conform with guidelines.

Fop - this is a saga: If enabled, it causes a giant Java backtrace / error,
and there seems to be no way to disable just fop (I even tried patching
aclocal.m4).  So in the meantime I've disabled the documentation.

Here's a new version that should fix everything:

Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-gettext.spec
SRPM URL:
http://www.annexia.org/tmp/ocaml/ocaml-gettext-0.2.0-3.20080321patch.fc9.src.rpm

Koji build:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=584043
Comment 4 Kevin Fenzi 2008-04-26 15:18:05 EDT
Excellent. That solves all the issues I see...so this package is APPROVED. 

You might wait a day or two to import on the chance that 0.3.0 comes out. ;) 

Comment 5 Richard W.M. Jones 2008-04-26 16:43:09 EDT
Heh, I've been waiting for this one too long. Thanks for doing it.
Comment 6 Richard W.M. Jones 2008-04-26 16:44:52 EDT
New Package CVS Request
=======================
Package Name: ocaml-gettext
Short Description: OCaml library for i18n
Owners: rjones
Branches: F-8 F-9
InitialCC: rjones
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-04-27 12:31:47 EDT
Yeah, I have a interest in the virt-* tools and this is needed for the new ones
you added for review. ;) 

cvs done. 
Comment 8 Richard W.M. Jones 2008-04-27 18:01:52 EDT
devel: http://koji.fedoraproject.org/koji/taskinfo?taskID=585140
F-9: http://koji.fedoraproject.org/koji/taskinfo?taskID=585139

Not built for F-8 yet because I'm waiting for ocaml-camomile to work
its way into stable.

Note You need to log in before you can comment on or make changes to this bug.